MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026191Open CASCADE[OCCT] OCCT:Testspublic2015-05-06 12:552015-05-14 16:39
Reporternbv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0026191: Different behavior of "bugs moddata_3 bug23471" test script on Windows and Linux platform
DescriptionSee Steps To Reproduce.

The problem has been detected after the fix to the bug 0025890, where intersection result has become two curves (res_1 res_2).
Steps To ReproduceTest bugs moddata_3 bug23471 from ATTACHED script.

On WINDOWS:
   Draw[]> test bugs moddata_3 bug23471
   #CASE bugs moddata_3 bug23471: OK
   Draw[]> directory
   #b_1 b_2 b_3 b_4 pi b minf axes2d _timer pinf axes grid res_1 res_2 s1 s2

Variable "res" is absent.

Why does expression "[info exists res]" (in test script) return TRUE. In other words, why message "Error : there are more then 1 curve" is not printed on WINDOWS.

On Linux this problem is not reproduced.
TagsNo tags attached.
Test case numberNot needed
Attached Files? file icon bug23471 (474 bytes) 2015-05-06 12:55

- Relationships
related to 0025890closedabv Intersection algorithm produces curves overlaped 

-  Notes
(0040747)
git (administrator)
2015-05-07 15:33

Branch CR26191 has been created by apn.

SHA-1: 5dfb3c23d2d878edcf3fc43e9305986ca493ea03


Detailed log of new commits:

Author: apn
Date: Thu May 7 15:33:10 2015 +0300

    0026191: Different behavior of "bugs moddata_3 bug23471" test script on Windows and Linux platform
    
    Deleted variable "res" which appears during loading draw
(0040748)
apn (administrator)
2015-05-07 15:36

Variable "res" appears during loading draw (in DrawDefault)
Draw[1]> info exists res (return TRUE)

Dear abv, please review.
(0040749)
abv (manager)
2015-05-07 15:46

Reviewed, please integrate (no testing is required)
(0041134)
git (administrator)
2015-05-14 16:39

Branch CR26191 has been deleted by inv.

SHA-1: 5dfb3c23d2d878edcf3fc43e9305986ca493ea03

- Related Changesets
occt: master 30a73087
Timestamp: 2015-05-07 12:33:10
Author: abv
Committer: abv
Details ] Diff ]
0026191: Different behavior of "bugs moddata_3 bug23471" test script on Windows and Linux platform

Deleted variable "res" which appears during loading draw
mod - src/DrawResources/DrawDefault Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-06 12:55 nbv New Issue
2015-05-06 12:55 nbv Assigned To => apn
2015-05-06 12:55 nbv File Added: bug23471
2015-05-06 13:44 nbv Relationship added related to 0025890
2015-05-07 15:33 git Note Added: 0040747
2015-05-07 15:36 apn Note Added: 0040748
2015-05-07 15:37 apn Test case number => Not needed
2015-05-07 15:37 apn Assigned To apn => abv
2015-05-07 15:37 apn Status new => resolved
2015-05-07 15:46 abv Note Added: 0040749
2015-05-07 15:46 abv Assigned To abv => bugmaster
2015-05-07 15:46 abv Status resolved => reviewed
2015-05-07 15:46 abv Target Version 7.0.0 => 6.9.0
2015-05-07 15:47 bugmaster Status reviewed => tested
2015-05-08 15:49 abv Changeset attached => occt master 30a73087
2015-05-08 15:49 abv Assigned To bugmaster => abv
2015-05-08 15:49 abv Status tested => verified
2015-05-08 15:49 abv Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:39 git Note Added: 0041134


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker